> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all SellerIds

> The API Endpoint list all Seller IDs known by SCX-API with current status.




## OpenAPI

````yaml /openapi/scx/channel.json get /v1/channel/seller/list
openapi: 3.0.2
info:
  title: JTL-Channel API
  version: 1.0.0
  x-logo:
    url: https://scx-sandbox.ui.jtl-software.com/docs/scx.png
  description: >
    JTL-Channel API is a REST-based API that helps a Channel Integrator to
    connect Marketplace with the JTL-Wawi 

    ERP System.


    # Key Features


    With the JTL-Channel API, you can:

      * Describe connected Marketplace Data Structure by providing Category and Attribute Data
      * Manage Product and Offer Listings
      * Manage Orders 
      * Handle the Post Order Process

    # Development Guide


    There is a detailed development guide available at
    [developer.jtl-software.com](https://developer.jtl-software.com/products/marketplaces/scx-channel-api/change_log).
servers:
  - url: https://scx-sbx.api.jtl-software.com
    description: Sandbox
  - url: https://scx.api.jtl-software.com
    description: Production
security: []
tags:
  - name: Seller
    description: |
      Seller Management
  - name: Channel
    description: Meta channel routes
  - name: Notification
    description: Channel notifications
  - name: Supported Prices
    description: Price type management
  - name: Meta
    description: meta
  - name: Attributes
    description: Channel attributes
  - name: Categories
    description: Channel categories
  - name: Order
    description: Orders
  - name: Return
    description: Order returns
  - name: Events
    description: SCX events
  - name: Offer
    description: Channel offers
  - name: Report
    description: SCX reports
  - name: Ticket
    description: Channel tickets
  - name: Stock Updates
    description: Stock update operations
paths:
  /v1/channel/seller/list:
    get:
      tags:
        - Channel
      summary: List all SellerIds
      description: >
        The API Endpoint list all Seller IDs known by SCX-API with current
        status.
      operationId: GetSellerList
      responses:
        '200':
          $ref: '#/components/responses/ChannelSellerListResponse'
        '401':
          $ref: '#/components/responses/AccessForbidden'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - ChannelAuth: []
components:
  responses:
    ChannelSellerListResponse:
      description: OK
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ChannelSellerList'
    AccessForbidden:
      description: Access forbidden, invalid or unknown Token was used.
    ServerError:
      description: Unexpected Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: GEN500
                message: Internal Server Error
                severity: error
                hint: null
  schemas:
    ChannelSellerList:
      description: List of all sellers currently registered on the channel.
      type: object
      properties:
        sellerList:
          type: array
          items:
            $ref: '#/components/schemas/ChannelSeller'
    ErrorResponseList:
      type: object
      properties:
        errorList:
          nullable: true
          type: array
          example:
            - code: GEN700
              message: Seller SELLER_4711 does not exist on channel kaufland.
              severity: error
              hint: i9n-order22
          items:
            title: Error
            type: object
            properties:
              code:
                type: string
                example: GEN700
              message:
                type: string
                example: Seller SELLER_4711 does not exist on channel kaufland.
              severity:
                type: string
                enum:
                  - error
                  - warning
                  - info
                default: error
              hint:
                type: string
                nullable: true
                example: i9n-order22
    ChannelSeller:
      type: object
      properties:
        sellerId:
          $ref: '#/components/schemas/SellerId'
        jtlAccountId:
          description: >
            The JTL Account ID is the unique identifier of a seller in the
            JTL-System.
          type: integer
          example: 12345
        companyName:
          type: string
          nullable: true
        isActiveByJTL:
          description: >
            Indicates if the seller is active according to the JTL System. If
            this flag is set to `false` the seller is not 

            active in JTL-Wawi. A reason for this can be that the seller has no
            active subscription or the seller has been

            deactivated by himself in JTL-Wawi.
          type: boolean
          default: true
        isActiveByChannel:
          description: >
            Indicates if the seller is active according to your connection. If
            this flag is set to `false` the seller 

            was deactivated by a `DELETE /v1/channel/seller` request.
          type: boolean
          default: true
        createdAt:
          type: string
          format: date-time
          example: '2019-03-13T20:21:43+00:00'
        updatedAt:
          type: string
          format: date-time
          example: '2019-03-13T20:21:43+00:00'
          nullable: true
    SellerId:
      description: >
        A unique Id identify a Seller on a specific SalesChannel. The SellerId
        is generated

        from the Channel itself during the Seller SignUp Process.
      type: string
      example: '4711'
      pattern: ^\w{1,50}$
  securitySchemes:
    ChannelAuth:
      description: >
        As a Channel Integrator you will receive a API Refresh Token. With such
        a Refresh Token you

        need to request an Access Token with a limited Lifetime (see POST
        /v1/auth). This Access Token

        must be provided as a Bearer Token in the Authorization Header with
        every request.
      type: http
      scheme: bearer
      bearerFormat: JWT

````